com.pixelmed.web

## Class WebRequest

- java.lang.Object
- - com.pixelmed.web.WebRequest

Direct Known Subclasses:
  WadoRequest

    public class WebRequest
    extends java.lang.Object

The `WebRequest` class parses a URL that contains a `requestType` parameter and additional query parameters.

This form is used both by WADO and the IHE RID profile transactions.

### Field Summary

Fields
`protected java.lang.String` `host`
`protected java.util.Map` `parameters`
`protected java.lang.String` `path`
`protected int` `port`
`protected java.lang.String` `requestType`
`protected java.lang.String` `scheme`
`protected java.lang.String` `userInfo`

### Constructor Summary

Constructors
`protected` `WebRequest()`
`` `WebRequest(java.lang.String uriString)`

### Method Summary

Methods
`java.lang.String` `getHost()`
`java.util.Map` `getParameters()`
`java.lang.String` `getPath()`
`int` `getPort()`
`java.lang.String` `getRequestType()`
`java.lang.String` `getScheme()`
`java.lang.String` `getUserInfo()`
`static java.util.Map` `parseQueryIntoParameters(java.lang.String query)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scheme

    protected java.lang.String scheme

#### userInfo

    protected java.lang.String userInfo

#### host

    protected java.lang.String host

#### port

    protected int port

#### path

    protected java.lang.String path

#### requestType

    protected java.lang.String requestType

#### parameters

    protected java.util.Map parameters

### Constructor Detail

#### WebRequest

    public WebRequest(java.lang.String uriString)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### WebRequest

    protected WebRequest()

### Method Detail

#### getScheme

    public java.lang.String getScheme()

#### getUserInfo

    public java.lang.String getUserInfo()

#### getHost

    public java.lang.String getHost()

#### getPort

    public int getPort()

#### getPath

    public java.lang.String getPath()

#### getRequestType

    public java.lang.String getRequestType()

#### getParameters

    public java.util.Map getParameters()

#### parseQueryIntoParameters

    public static java.util.Map parseQueryIntoParameters(java.lang.String query)
                                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`